GPDASM(1)

NOM
gpdasm - Désassembleur GNU pour PIC

SYNOPSIS
gpdasm [options] fichier

AVERTISSEMENT
Les informations de cette page de manuel sont extraites de la documentation complète de gputils et sont limitées à la signification des options. Pour une documentation complète, reportez-vous au fichier « gputils.ps » (en anglais) situé dans le répertoire doc de gputils.

DESCRIPTION
gpdasm est un désassembleur pour les microcontrôleurs PIC (TM) de Microchip (TM). gpdasm est une partie de gputils. Consultez la page manuel gputils(1) pour avoir des détails sur les autres utilitaires GNU PIC.

OPTIONS

-c, --mnemonics
    Décoder les mnémoniques spéciales.

-h, --help
    Afficher un message d'utilisation et quitter.

-i, --hex-info
    Produire des informations supplémentaires concernant le fichier hexadécimal d'entrée. Ces informations incluent la taille du fichier et le format hexadécimal.

-l, --list-chips
    Afficher la liste des processeurs reconnus.

-m, --dump
    Afficher le contenu de la mémoire programme.

-p PROC, --processor PROC
    Sélectionner le processeur.

-s, --short
    Produire en sortie le format court. Ce format peut être réassemblé par gpasm.

-v, --version
    Afficher les informations de version et quitter.

-y, --extended
    Activer le mode étendu 18xx.

--strict
    Désassembler seulement les codes opératoires générés par gpsam dans le cas d'instructions avec plusieurs codes opératoires.

VOIR AUSSI
gputils(1)

AUTEUR
Craig Franklin <craigfranklin@users.sourceforge.net>

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <alain DOT portal AT univ-montp2 DOT fr> le 14 octobre 2004 et révisée le 4 mars 2012.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 gpdasm ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.

COPYRIGHT
Copyright (C) 2002, 2003, 2004, 2005 Craig Franklin Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier sous les termes de la licence GNU GPL telle que publiée par la Free Software Foundation ; soit la version 2, soit (à votre convenance) toute version ultérieure. Ce programme est distribué dans l'espoir qu'il soit utile, mais SANS AUCUNE GARANTIE ; même sans la garantie implicite d'UTILISABILITÉ ou d'ADAPTATION À UN USAGE PRÉCIS. Lisez la licence GNU GPL pour plus de détails. Vous devriez avoir reçu une copie de la licence GNU GPL avec ce programme ; si ce n'est pas le cas, écrivez à Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.